#include<stdio.h>
#include<string.h>

int main(){
	
	char niz[100010];
	int l, j=0, k = 0, m = 0, min = 100000;
	
	scanf("%s", niz);
	l = strlen(niz);	
	for(int i=0; i<l; i++)
	{
		if(niz[i] == '1')j++;
	}
	for(int i=0; i<l; i++)
	{
		if(niz[i] == '1')k++;
		
		m = 2*k+l-i-j-1;
		if (m < min)min = m;
		if (l - m < min)min = l - m;
	}
	printf("%d", min);
	
	return 0;
}